Delete an external account
Deletes the external account.
curl --request DELETE \
--url https://api.yorlet.com/v1/external_accounts/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/external_accounts/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/external_accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/external_accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/external_accounts/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.yorlet.com/v1/external_accounts/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/external_accounts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "external_account",
"available_payout_methods": [
"<string>"
],
"confirmation_of_payee": {
"status": "awaiting_acknowledgement"
},
"status": "new",
"type": "bank_account",
"account": "<string>",
"deleted": false,
"bank_account": {
"account_holder_name": "<string>",
"account_holder_type": "individual",
"bank_name": "<string>",
"country": "<string>",
"currency": "aud",
"last4": "<string>",
"routing_number": "<string>",
"account_number": "<string>",
"swift_bic": "<string>"
},
"metadata": {}
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Response
Returns the deleted external account object.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
external_account The payout methods supported by this external account.
Confirmation of payee status for the external account.
Show child attributes
Show child attributes
The status of the external account.
new, errored The type of the external account.
bank_account The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Bank account details when the external account type is bank_account.
Show child attributes
Show child attributes
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
Was this page helpful?
curl --request DELETE \
--url https://api.yorlet.com/v1/external_accounts/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/external_accounts/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/external_accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/external_accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/external_accounts/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.yorlet.com/v1/external_accounts/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/external_accounts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "external_account",
"available_payout_methods": [
"<string>"
],
"confirmation_of_payee": {
"status": "awaiting_acknowledgement"
},
"status": "new",
"type": "bank_account",
"account": "<string>",
"deleted": false,
"bank_account": {
"account_holder_name": "<string>",
"account_holder_type": "individual",
"bank_name": "<string>",
"country": "<string>",
"currency": "aud",
"last4": "<string>",
"routing_number": "<string>",
"account_number": "<string>",
"swift_bic": "<string>"
},
"metadata": {}
}